package src.data.scripts.campaign.econ;

import com.fs.starfarer.api.impl.campaign.econ.BaseMarketConditionPlugin;
import com.fs.starfarer.api.ui.TooltipMakerAPI;
import com.fs.starfarer.api.util.Misc;

public class Art_Hatred extends BaseMarketConditionPlugin {
	


        @Override
	public void apply(String id) {
                
            market.getStability().modifyFlat(id, 10,"Hatred");
            market.getAccessibilityMod().modifyFlat(id, -100,"Hatred");
            market.getHazard().modifyFlat(id, -50,"Hatred");
            
	}
        @Override
	public void unapply(String id) {
		market.getStability().unmodify(id);
                market.getAccessibilityMod().unmodifyFlat(id);
                market.getHazard().unmodifyFlat(id);

	}
        

        @Override
        protected void createTooltipAfterDescription(TooltipMakerAPI tooltip, boolean expanded) {
		super.createTooltipAfterDescription(tooltip, expanded);
		
		tooltip.addPara("%s accessibility.", 
						10f, Misc.getHighlightColor(),
						"-" + (int)100 + "%");
}
	@Override
	public boolean hasCustomTooltip() {
		return true;
        }
}





